
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>MySQL的指定范围随机数函数rand()的使用技巧_Mysql / iVAN</title>

    <meta name="description" content="MySQL的指定范围随机数函数rand()的使用技巧_Mysql 公式如下: rand() * (y-x) + x 咱们学php的都知道,随机函数rand或mt_rand,可以传入一个参数,产生0到参数之间的随机整数,也可以传入两个参数,产生这两个参数之间的随机整数. 而在mysql里,随机数函数rand不能传参,产生的0到1之间的浮点数,要是我们需要在mysql产生大于1的随机整数,该怎么办呢? 这样的需求并不陌生,例如,咱做的文章系统,需要作弊,给文章的浏览量随机加上某个范围内的整数. 现在,假设需要产生234到5678之间的随机整数,mysql下怎么实现">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/bootstrap.css" rel="stylesheet">
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
  <script>
  var _hmt = _hmt || [];
  (function() {
    var hm = document.createElement("script");
    hm.src = "https://hm.baidu.com/hm.js?c61d51e9fdcf1d1631ddfce8df9cd119";
    var s = document.getElementsByTagName("script")[0]; 
    s.parentNode.insertBefore(hm, s);
  })();
  </script>
 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="https://pic.ikafan.com/staticx/iamivan/2/assets/logo.png" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/">首页</a></li>
            <li><a href="/tag/互联网/">互联网</a></li>
            <li><a href="/tag/java/">java</a></li>
            <li><a href="/tag/mysql/">mysql</a></li>
            <li><a href="/tag/android/">Android</a></li>
            <li><a href="/tag/ios/">IOS</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    <div id="main" class="col-md-8">


<h1 class="mtitle">MySQL的指定范围随机数函数rand()的使用技巧_Mysql</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>

    	<section>
		<article class="clearfix">
		<p>公式如下：</p>
<p>rand() * (y-x) + x</p>
<p>咱们学php的都知道，随机函数rand或mt_rand，可以传入一个参数，产生0到参数之间的随机整数，也可以传入两个参数，产生这两个参数之间的随机整数。<br />
而在mysql里，随机数函数rand不能传参，产生的0到1之间的浮点数，要是我们需要在mysql产生大于1的随机整数，该怎么办呢？<br />
这样的需求并不陌生，例如，咱做的文章系统，需要作弊，给文章的浏览量随机加上某个范围内的整数。</p>
<p>现在，假设需要产生234到5678之间的随机整数，mysql下怎么实现。</p>
<p>我们无法改mysql下rand的产生值，但我们可以改变我们的需求，</p>
<p><strong>1、我们需要最小是234，最大是5678，rand产生的最小是0，最大是1，我们需求的数减去234看看？</strong></p>
<p>最小数234 - 234 = 0，最大数5678 - 234 = 5444；嘿，亮点，我们需求的最小数跟rand产生的最小吻合了。<br />
我们只要让函数产生0到5444的随机数，再拿来加上234，就是我们原需求了。<br />
我们原需求用个伪表达式来描述，就会是<br />
取整(rand(0,5444) + 234)</p>
<p><strong>2、现在只要想办法将我们需求再变一下，使得最小数为0 不变，最大数变化成1，</strong><br />
很明显，5444减去5443就是1了，但这样，最小数就会是负数了。<br />
要最小数还是0，最大数是1，太简单，5444 / 5444 = 1 , 0 /5444 = 0<br />
现在，原需求的伪表达式就是：<br />
取整(rand(0,1) * 5444 + 234)<br /><strong>3、把伪表达式的参数去掉，就跟mysql下的rand一样写法，一样效果。取整函数我们使用四舍五入ROUND</strong><br />
所以，我们原需求的最终真mysql表达式就是<br />
ROUND(RAND() * 5444 + 234)</p>
<p><strong>总结一下思路：</strong><br />
1、比较rand(x, y)与rand(0,1)的差异。<br />
2、将rand(x,y)逐步向rand(0,1)变换<br />
rand(x,y) <br />
= rand(0, (y-x)) + x <br />
= rand(0/(y-x), (y-x)/(y-x)) * (y-x) +x <br />
= rand() * (y-x) + x</p>
<p>这是一个很简单的数学算术式，用一个简单的例子，说了一下一些算法的基本技巧：降低要求使得自己所掌握的知识能达到需求。</p>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-02-27 12:48:22</div>
		
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong> <a href="https://www.iamivan.net/tag/mysql/" title="mysql">mysql</a>, <a href="https://www.iamivan.net/tag/%e9%9a%8f%e6%9c%ba%e6%95%b0/" title="随机数">随机数</a>, <a href="https://www.iamivan.net/tag/%e6%8c%87%e5%ae%9a%e8%8c%83%e5%9b%b4/" title="指定范围">指定范围</a>        </div> -->
	</section>
	
	

		<div id="similar">

		<h3>MySQL的指定范围随机数函数rand()的使用技巧_Mysql的相关文章</h3>

								<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/z7QAdAM.html" rel="bookmark">php源码分析之DZX1&period;5随机数函数random用法&lowbar;php技巧</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				本文实例讲述了php源码分析之DZX1.5随机数函数random用法.分享给大家供大家参考.具体如下: &lt;?php /** * @param int $length: 随机数长度 * @param int $numeric: 0或非0,其中0表示随机数由全数字组成,非0表示随机数由全字母组成 * @return string: 返回生成的随机数 */ function random($length, $numeric = 0) { $seed = base_convert(md5(microti			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pnLkeWb.html" rel="bookmark">php&plus;mysql删除指定编号员工信息的方法&lowbar;php技巧</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				本文实例讲述了php+mysql删除指定编号员工信息的方法.分享给大家供大家参考.具体分析如下: 利用php提交员工编号给mysql,然后由mysql把数据接受并利用delete进行数据删除操作了,这里就来给大家分享几个具体例子. delete语句的示例: 复制代码 代码如下: delete from friends where user_name = 'simaopig'; 语法结构中,我们就可以看出,和 update 语法一样,我们是可以省略 where 子句的,不过这是一个很危险的行为,因			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/bQYOvwb.html" rel="bookmark">mysql 导入导出数据库以及函数、存储过程的介绍&lowbar;Mysql</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				mysql常用导出数据命令:1.mysql导出整个数据库  mysqldump -hhostname -uusername -ppassword databasename &gt; backupfile.sql   mysqldump -hlocalhost -uroot hqgr&gt; hqgr.sql     (如果root用户没用密码可以不写-p,当然导出的sql文件你可以制定一个路径,未指定则存放在mysql的bin目录下) 2.mysql导出数据库一个表 mysqldump -hhostnam			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pkV8erM.html" rel="bookmark">mysql 截取指定的两个字符串之间的内容&lowbar;Mysql</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				如 现有字符串 &quot;[]aseabcd[12345]ddxabcdsx[]&quot;,要截取&quot;abcd[&quot; 和 &quot;abcd[&quot;之后的第一个 &quot;]&quot; 之间的内容 &quot;12345&quot;,当然当中的内容长度不是固定的,可以是&quot;123456&quot; 或者其他字符串. 他问我的时候,我第一反应就是想的indexOf,后来查了下 发现mysql中没有indexOf 而是 locate. 经过半个多小时的尝试,最好帮他实现			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/Mlmroqp.html" rel="bookmark">PHP 使用MySQL管理Session的回调函数详解&lowbar;php技巧</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				复制代码 代码如下: &lt;?php class MySession extends DBSQL {   /**   * __construct()   */  public function __construct() {   parent::__construct ();   }   /**   * open()   *    * @param &lt;String&gt; $sSavePath   * @param &lt;String&gt;$sSessionNames   *    * @re			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/z7W4yaz.html" rel="bookmark">通过MySQL优化Discuz&excl;的热帖翻页的技巧&lowbar;Mysql</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				写在前面:discuz!作为首屈一指的社区系统,为广大站长提供了一站式网站解决方案,而且是开源的(虽然部分代码是加密的),它为这个垂直领域的行业发展作出了巨大贡献.尽管如此,discuz!系统源码中,还是或多或少有些坑.其中最著名的就是默认采用MyISAM引擎,以及基于MyISAM引擎的抢楼功能,session表采用memory引擎等,可以参考后面几篇历史文章.本次我们要说说discuz!在应对热们帖子翻页逻辑功能中的另一个问题. 在我们的环境中,使用的是 MySQL-5.6.6 版本. 在查看			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MgEy8Oz.html" rel="bookmark">总结MySQL建表、查询优化的一些实用小技巧&lowbar;Mysql</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				MySQL建表阶段是非常重要的一个环节,表结构的好坏.优劣直接影响着后续的管理维护,赶在明天上班前分享总结个人MySQL建表.MySQL查询优化积累的一些实用小技巧. 技巧一.数据表冗余记录添加时间与更新时间 我们用到的很多数据表大多情况下都会有表记录的&quot;添加时间(add_time)&quot;,我建议大家再新增一个记录&quot;更新时间(update_time)&quot;字段,在我的工作里需要为市场部.运营部等建立各种报表,而很多报表里的数据都是需要到大记录表里去查询的,如果直接查询大表的			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/Mv7QRAp.html" rel="bookmark">MySQL单表百万数据记录分页性能优化技巧&lowbar;Mysql</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				测试环境: 先让我们熟悉下基本的sql语句,来查看下我们将要测试表的基本信息 use infomation_schema SELECT * FROM TABLES WHERE TABLE_SCHEMA = 'dbname' AND TABLE_NAME = 'product' 查询结果: 从上图中我们可以看到表的基本信息: 表行数:866633 平均每行的数据长度:5133字节 单表大小:4448700632字节 关于行和表大小的单位都是字节,我们经过计算可以知道 平均行长度:大约5k 单表总大			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/bjLY48p.html" rel="bookmark">【matlab编程】matlab随机数函数</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				Matlab内部函数 a. 基本随机数 Matlab中有两个最基本生成随机数的函数. 1．rand() 生成(0,1)区间上均匀分布的随机变量.基本语法: rand([M,N,P ...]) 生成排列成M*N*P... 多维向量的随机数.如果只写M,则生成M*M矩阵:如果参数为[M,N]可以省略掉方括号.一些例子: rand(5,1) %生成5个随机数排列的列向量,一般用这种格式 rand(5) %生成5行5列的随机数矩阵 rand([5,4]) %生成一个5行4列的随机数矩阵 生成的随机数大致			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/rz4eaJb.html" rel="bookmark" class="title">WPS 2012文字排版通用技巧点睛</a>
					<div>
						  炫酷的WPS Office 2012终于来了,无论是界面还是全新操作模式都将新版的WPS装点得华丽无比.功能再丰富,离不开娴熟的操作技能;操作再简便,也离不开烂熟于心的经验.借助软件&quot;生 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Nz7A0RM.html" rel="bookmark" class="title">使用Web交换机为网络防火墙排忧解难</a>
					<div>
						Web交换技术的进步不仅仅优化了Web服务器,同时它还可以用来解决当前防火墙引起的一些问题. 尽管防火墙在防止网络入侵方面具有很高的效率,并已成为提交安全Web站点和服务的关键因素,但是,所有这些安全 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/jbEr5PM.html" rel="bookmark" class="title">如何打造一个标新立异的网站</a>
					<div>
						中国网站之多,用多如牛毛形容毫不夸张.如何在芸芸众生之中,脱颖而出,这值得你我共同思考.因为只有那些&quot;个性&quot;网站,才能给访客一个全新的感觉,吸引他们进一步去了解,甚至主动去宣传你的 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/apXoBLM.html" rel="bookmark" class="title">使用Dreamweaver轻松实现网页中透明Flash效果</a>
					<div>
						dreamweaver|透明|网页 有时需要在一张漂亮的图片上加些文字动画,但 Flash 软件是没有透明背景属性设置的,其实无论 Flash 的背景是什么颜色,我们都可以通过 Dreamweaver ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M91jXVM.html" rel="bookmark" class="title">CSS高级技巧之圆角矩形</a>
					<div>
						所谓的CSS高级技巧...其实是一些对基本技巧的创意组合, 任何手段和技巧都是解决问题的方法. 只要学会这种思考问题的方法, 你也能拥有属于自己的CSS秘籍. CSS2 还没有办法创造出曲线边框, 明 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/ze40lNp.html" rel="bookmark" class="title">Photoshop通道应用系列2：通道就是选区</a>
					<div>
						通道的重要性就不用多说了,美国PS专家称:&quot;通道是核心,蒙板是灵魂&quot;,足以说明通道在Photoshop中的重要地位. 相关教程: 1.Photoshop通道应用系列1:通道中有些什 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MrKdyWp.html" rel="bookmark" class="title">使用STAF&sol;STAX 实现测试自动化和持续集成</a>
					<div>
						关于回归和增量测试 回归测试往往用于确保软件变更不会在软件中引入新的问题或故障.另外,还可以用它来确 保您不会重新引入之前修复的错误.如果软件对第三方组件和库有诸多依赖项,比如 XML 处理 API  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MxPjaQM.html" rel="bookmark" class="title">Groovy探索之MOP 十三 Interceptor 三（1）</a>
					<div>
						本篇的&quot;Interceptor&quot;,主要是来说说拦截器的阻止拦截的问题,这个问题是我们自定义拦截器时经常要遇到的挑战之一. 与阻止拦截很近的一个意思是不拦截,即我们可以拦截某个方法, ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MvKD5Vp.html" rel="bookmark" class="title">php中出现空白页面的原因及解决</a>
					<div>
						在php编程中出现空白页面可能是由以下几个原因造成的:1.逻辑错误逻辑错误是最难排除的,从表面上看,也许代码是合法的,是正规的,可运行起来却不是预料之中的.为什么呢?也许是编写者想得不够全面,毕竟人是 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bEl2B9z.html" rel="bookmark" class="title">万彩动画大师给动画视频怎么添加背景图片</a>
					<div>
						  万彩动画大师给动画视频怎么添加背景图片?万彩动画大师提供丰富的背景图片资源.适当运用精美的背景图片,在突出主题信息的同时还能整体提高动画视频场景的美感跟质感.操作如下: 背景-单击&quot;+& ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MWXARmp.html" rel="bookmark" class="title">怎样禁止win7系统电脑自动调节屏幕亮度</a>
					<div>
						我们在使用Win7系统时,用户们一定注意到了一点,那就是屏幕的亮度会随着我们打开的应用程序窗口的变化而发生变化.不过有些用户却并不喜欢这个功能,那么该如何将它关闭呢? 解决方法: 方法一. 1.首先打 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bBZ65Jb.html" rel="bookmark" class="title">jQuery客户端分页实例代码&lowbar;jquery</a>
					<div>
						复制代码 代码如下: &lt;script src=&quot;/js/jquery-1.4.1.js&quot; type=&quot;text/javascript&quot;&gt;&lt;/s ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M6NNyoM.html" rel="bookmark" class="title">intellij idea-IntelliJ IDEA 编辑器中如何将代码的背景阴影去掉</a>
					<div>
						问题描述 IntelliJ IDEA 编辑器中如何将代码的背景阴影去掉 IntelliJ IDEA 编辑器中如何将代码的背景阴影去掉 解决方案 http://blog.sina.com.cn/s/bl ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p8kVOlM.html" rel="bookmark" class="title">&lbrack;转载&rsqb; 机器学习面试之算法思想简单梳理</a>
					<div>
						      本文转载自tornadomeet博客,它是一篇非常好的归纳机器学习的文章.内容包括:朴素贝叶斯.决策树.Logistic回归.KNN.SVM.Boosting.LDA.Apriori等,这 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bKQmLnp.html" rel="bookmark" class="title">关于URL编码</a>
					<div>
						一.问题的由来 URL就是网址,只要上网,就一定会用到. 一般来说,URL只能使用英文字母.阿拉伯数字和某些标点符号,不能使用其他文字和符号.比如,世界上有英文字母的网址&quot;http://ww ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zwxm95b.html" rel="bookmark" class="title">谷歌扩展 js-求助：谷歌扩展 如何使插入页面的内容脚本里面数据在刷新之后不丢失</a>
					<div>
						问题描述 求助:谷歌扩展 如何使插入页面的内容脚本里面数据在刷新之后不丢失 学了几天js,自己编了一个扩展,有个内容脚本,每次刷新页面的时候都会重新插入,导致一些赋值的数据丢失.请问怎么解决? ps: ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pLmXXAz.html" rel="bookmark" class="title">洞悉安卓应用的电池使用状况</a>
					<div>
						[编者按]本文作者为来自南非约翰内斯堡的女程序员 Rebecca Franks,Rebecca 热衷于安卓开发,拥有4年安卓应用开发经验.有点完美主义者,喜爱美食. 本文系国内ITOM管理平台 One ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/ze6ye9b.html" rel="bookmark" class="title">CentOS6&period;4 LVS rpm包安装及源码安装</a>
					<div>
						RPM包安装 系统平台 CentOS 6.4 x64 minimal KERNEL 2.6.32-358.23.2.el6.x86_64 LVS版本 ipvsadm-1.25-10.el6.x86_6 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pXwE7QM.html" rel="bookmark" class="title">c-用C编写一个电子词典。。。</a>
					<div>
						问题描述 用C编写一个电子词典... 学习了几周嵌入式系统开发的课程,现在正在学C课程,然后有一个阶段性项目,要求编写一个电子词典.自学者,真的不知道该如何先下手!求教各位啦:怎么下手? 解决方案 这 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MRDLVxz.html" rel="bookmark" class="title">java web-Struts2返回Json时报错</a>
					<div>
						问题描述 Struts2返回Json时报错 错误信息 : Struts has detected an unhandled exception: Messages: Positioned Update ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MydZDEb.html" rel="bookmark" class="title">c&plus;&plus;-用vb&period;net&lpar;或C&num;&rpar;调用C&plus;&plus;编写的DLL时遇到的问题</a>
					<div>
						问题描述 用vb.net(或C#)调用C++编写的DLL时遇到的问题 这部分是在c++中可以正常工作的部分,其声明如下: extern &quot;C&quot; int LHD_Main(unsig ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zeRWNxb.html" rel="bookmark" class="title">Clojure Hacking Guide</a>
					<div>
						  这题目起的哗众取宠,其实只是想介绍下怎么查看Clojure动态生成的字节码,这对分析Clojure的内部实现很重要.     第一步,下载最新的Clojure 1.1.0源码并解压,并导入到你喜欢 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MRDgV8z.html" rel="bookmark" class="title">3DS制作人称裸眼3D会引起视觉疲劳儿童不宜佩戴</a>
					<div>
						在2010年的E3发布会上,任天堂公布了备受瞩目的裸眼3DS掌机.新3DS掌机上部采用了宽屏裸眼液晶,并配备3个摄像头用于显示3D画面和捕捉 3D影像,玩家不需要佩戴3D眼睛便可以体验3D游戏带来的乐 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pkeY0wb.html" rel="bookmark" class="title">visual studio-新手学习VS2015 UWP开发，无法加载XAML设计器</a>
					<div>
						问题描述 新手学习VS2015 UWP开发,无法加载XAML设计器 新手学习UWP开发,之前XAML设计器可以正常使用,后来不知道为什么就不能用了,现在新建项目之后就提示无法加载XAML设计器,下面是 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p5ZGRBz.html" rel="bookmark" class="title">C&plus;&plus;判断文件是否存在</a>
					<div>
						#include &lt;fstream&gt; #incude &lt;iostream&gt; bool bFileExist = false; std::fstream _file; _file ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/b22jJrb.html" rel="bookmark" class="title">华硕推出双核超便携笔记本EeePC1215B</a>
					<div>
						原本定位于&quot;第二台个人PC&quot;的上网本,如今也开始追逐双核配置.最近,华硕就推出一款双核超便携笔记本EeePC 1215B. 除了搭载全新 AMD APU E-350.C-50双核处 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/ba6q0nM.html" rel="bookmark" class="title">Shell脚本实现分析apache日志中ip所在的地区&lowbar;linux shell</a>
					<div>
						查询ip地址所用的组件 复制代码 代码如下: wget http://rfyiamcool.googlecode.com/files/nali-0.1.tar.gz  tar zxvf nali-0. ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MW7wKqM.html" rel="bookmark" class="title">mysql下float类型使用一些误差详解&lowbar;Mysql</a>
					<div>
						单精度浮点数用4字节(32bit)表示浮点数采用IEEE754标准的计算机浮点数,在内部是用二进制表示的如:7.22用32位二进制是表示不下的.所以就不精确了. mysql中float数据类型的问题总 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MvY6Rrb.html" rel="bookmark" class="title">PHP实现的自定义数组排序函数与排序类示例&lowbar;php技巧</a>
					<div>
						本文实例讲述了PHP实现的自定义数组排序函数与排序类.分享给大家供大家参考,具体如下: /* * 二维数组自定义排序函数 * uasort($arr,function_name) * **/ $arr ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/ze0rBAp.html" rel="bookmark" class="title">javascript框架设计之框架分类及主要功能&lowbar;javascript技巧</a>
					<div>
						从内部架构和理念划分,目前JavaScript框架可以划分为5类. 第一种是以命名空间为导向的类库或框架,如果创建一个数组用new Array(),生成一个对象用new Object(),完全的jav ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>热搜</span>
		</div>
		<div class="box-content">
					</div>
	</div>


</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 iVAN        | info#iamivan.net        | 11 q. 0.026 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <!-- <script src="/assets/js/jquery.js"></script>
  <script src="/assets/js/bootstrap.min.js"></script> -->
  <div style=" display: none ";>
  </div>

<script src="/assets/js/echo.js"></script>
<script>
    echo.init({
      offset: 100,
      throttle: 250,
      unload: false,
      callback: function (element, op) {
        console.log(element, 'has been', op + 'ed')
      }
    });
    </script>
</body>
</html>
